# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['muttlib', 'muttlib.dbconn', 'muttlib.plotting']

package_data = \
{'': ['*']}

install_requires = \
['Deprecated>=1.2.13,<2.0.0',
 'Jinja2>=3.0.3,<4.0.0',
 'PyYAML>=6.0,<7.0',
 'SQLAlchemy>=1.3.0,<1.4.0',
 'ipython>=7.29.0,<8.0.0',
 'jinjasql>=0.1.8,<0.2.0',
 'matplotlib>=3.5.0,<4.0.0',
 'numpy>=1.20.0,<2.0',
 'pandas>=1.0.0',
 'progressbar2>=3.55.0,<4.0.0',
 'scikit-learn>=1.0.1,<2.0.0',
 'scipy>=1.7.2,<2.0.0',
 'types-PyMySQL>=1.0.11,<2.0.0',
 'types-requests>=2.27.7,<3.0.0',
 'wrapt==1.11.2']

extras_require = \
{'all': ['pyarrow==6.0.0',
         'pyarrow==6.0.0',
         'pyarrow==6.0.0',
         'cx-Oracle>=8.3.0,<9.0.0',
         'PyHive>=0.6.1',
         'thrift>=0.15.0,<0.16.0',
         'psycopg2-binary>=2.9.2,<3.0.0',
         'psycopg2-binary>=2.9.2,<3.0.0',
         'PyMySQL>=1.0.2,<2.0.0',
         'pymssql>=2.2.2,<3.0.0',
         'pymongo>=3.12.1,<4.0.0',
         'snowflake-connector-python>=2.7.1,<3.0.0',
         'cryptography==3.4.7',
         'snowflake-sqlalchemy==1.2.4',
         'teradatasql==17.0.0.8',
         'sqlalchemy-trino==0.4.0',
         'sqlalchemy-redshift==0.8.6',
         'pyparsing<3',
         'google-cloud-bigquery==2.24.0',
         'ibis-framework[impala]==1.4.0',
         'oauth2client>=4.1.3,<5.0.0',
         'requests>=2.26.0,<3.0.0',
         'freezegun>=1.1.0,<2.0.0',
         'interrogate>=1.5.0,<2.0.0',
         'nox>=2021.10.1,<2022.0.0',
         'pytest>=6.2.5,<7.0.0',
         'pytest-xdist>=2.4.0,<3.0.0',
         'pytest-cov>=3.0.0,<4.0.0',
         'pytest-html>=3.1.1,<4.0.0',
         'pytest-mpl==0.12',
         'betamax>=0.8.1,<0.9.0',
         'betamax-serializers>=0.2.1,<0.3.0',
         'holidays>=0.10.2',
         'holidays>=0.10.2',
         'fbprophet>=0.7.1,<0.8.0',
         'pystan==2.19.1.1',
         'gspread-pandas>=2.3.0,<3.0.0',
         'bandit>=1.7.2,<2.0.0'],
 'bigquery': ['google-cloud-bigquery==2.24.0'],
 'forecast': ['holidays>=0.10.2',
              'fbprophet>=0.7.1,<0.8.0',
              'pystan==2.19.1.1'],
 'gdrive': ['oauth2client>=4.1.3,<5.0.0', 'requests>=2.26.0,<3.0.0'],
 'gsheets': ['gspread-pandas>=2.3.0,<3.0.0'],
 'hive': ['PyHive>=0.6.1', 'thrift>=0.15.0,<0.16.0'],
 'ibis': ['pyarrow==6.0.0', 'ibis-framework[impala]==1.4.0'],
 'mongo': ['pymongo>=3.12.1,<4.0.0'],
 'mysql': ['PyMySQL>=1.0.2,<2.0.0'],
 'oracle': ['cx-Oracle>=8.3.0,<9.0.0'],
 'postgres': ['psycopg2-binary>=2.9.2,<3.0.0'],
 'pyarrow': ['pyarrow==6.0.0'],
 'redshift': ['psycopg2-binary>=2.9.2,<3.0.0',
              'sqlalchemy-redshift==0.8.6',
              'pyparsing<3'],
 'snowflake': ['snowflake-connector-python>=2.7.1,<3.0.0',
               'cryptography==3.4.7',
               'snowflake-sqlalchemy==1.2.4'],
 'sqlserver': ['pymssql>=2.2.2,<3.0.0'],
 'teradata': ['teradatasql==17.0.0.8'],
 'test': ['pyarrow==6.0.0',
          'freezegun>=1.1.0,<2.0.0',
          'interrogate>=1.5.0,<2.0.0',
          'nox>=2021.10.1,<2022.0.0',
          'pytest>=6.2.5,<7.0.0',
          'pytest-xdist>=2.4.0,<3.0.0',
          'pytest-cov>=3.0.0,<4.0.0',
          'pytest-html>=3.1.1,<4.0.0',
          'pytest-mpl==0.12',
          'betamax>=0.8.1,<0.9.0',
          'betamax-serializers>=0.2.1,<0.3.0',
          'holidays>=0.10.2',
          'bandit>=1.7.2,<2.0.0'],
 'trino': ['sqlalchemy-trino==0.4.0']}

setup_kwargs = {
    'name': 'muttlib',
    'version': '1.4.15',
    'description': 'Collection of helper modules by Mutt Data.',
    'long_description': "# muttlib 🐶📚\n\n[![pypi version](https://img.shields.io/pypi/v/muttlib?color=blue)](https://pypi.org/project/muttlib/)[![pipeline status](https://gitlab.com/mutt_data/muttlib/badges/master/pipeline.svg)](https://gitlab.com/mutt_data/muttlib/-/commits/master)[![coverage report](https://gitlab.com/mutt_data/muttlib/badges/master/coverage.svg)](https://gitlab.com/mutt_data/muttlib/-/commits/master)[![docstring report](https://gitlab.com/mutt_data/muttlib/-/jobs/artifacts/master/raw/docs_coverage.svg?job=docstr-cov)](https://interrogate.readthedocs.io/en/latest/)[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)[![Imports: isort](https://img.shields.io/badge/%20imports-isort-%231674b1?style=flat&labelColor=ef8336)](https://pycqa.github.io/isort/)\n\n\n## Description\n\nLibrary with helper code to start a data-related project.\nBy [Mutt Data](https://muttdata.ai/).\n\nCurrent modules:\n\n- `dbconn`: Somewhat homogeneus lib to access multiple DBs.\n- `file_processing`: Helpers for concurrent file processing.\n- `forecast`: Provides FBProphet a common interface to Sklearn and general\n  utilities for forecasting problems, allowing wider and easier grid search for\n  hyperparameters.\n- `utils`: A single version of miscellaneous functions needed every now and then.\n- `gsheetsconn`: Module to make data interactions to/from Google Sheets <> Pandas.\n- `gdrive`: Module that provides a UNIX-ish interface to GDrive.\n\n## Table of Contents\n\n- [Installation](#installation)\n- [Usage](#usage)\n- [Contributing](#contributing)\n- [Credits](#contributing)\n- [License](#license)\n\n### Installing from PyPi\n\n_Note:_ since version `1.4.13`, `muttlib` is packaged and developed using [poetry](https://python-poetry.org).\n\nBase lib:\n```bash\npoetry add muttlib\n```\n\nCheck below for available extras.\n\nParquet and Feather support:\n```bash\npoetry add muttlib -E pyarrow\n```\n\nForecast:\n```bash\npoetry add muttlib -E forecast\n```\n\nMisc DB support for dbconn:\n```bash\npoetry add muttlib -E oracle\npoetry add muttlib -E hive\npoetry add muttlib -E postgres\npoetry add muttlib -E mysql\npoetry add muttlib -E sqlserver\npoetry add muttlib -E mongo\npoetry add muttlib -E ibis\n```\n\n_Note:_ the `ibis` extra requires installing binary packages. Check [CONTRIBUTING.md](https://gitlab.com/mutt_data/muttlib/-/blob/master/CONTRIBUTING.md#prerequisites) for the full list.\n\n### Installing custom branches from the repos\n\nFrom GitHub mirror:\n```bash\npoetry add -e git+https://github.com/MuttData/muttlib.git@AWESOME_FEATURE_BRANCH#egg=muttlib\n```\n\nFrom Gitlab main repo:\n```bash\npoetry add -e git+https://gitlab.com/mutt_data/muttlib.git@AWESOME_FEATURE_BRANCH#egg=muttlib\n```\n\n## Usage\n\nSee the [documentation](https://mutt_data.gitlab.io/muttlib/) to get started with `muttlib`.\n\n## Contributing\n\nWe appreciate for considering to help out maintaining this project. If you'd like to contribute please read our [contributing guidelines](https://mutt_data.gitlab.io/muttlib/contributing.html).\n\n## License\n`muttlib` is licensed under the [Apache License 2.0](https://gitlab.com/mutt_data/muttlib/-/blob/master/LICENCE).\n",
    'author': 'Mutt Data',
    'author_email': 'info@muttdata.ai',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://gitlab.com/mutt_data/muttlib/',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'extras_require': extras_require,
    'python_requires': '>=3.7,<3.10',
}


setup(**setup_kwargs)
